Chapter 41. Namespace Service


41.1. Namespace Service

41.1.1. GetNamespace

GET /v1/namespaces/{id}

41.1.1.1. Description

41.1.1.2. Parameters

41.1.1.2.1. Path Parameters
NameDescriptionRequiredDefaultPattern

id

 

X

null

 

41.1.1.3. Return Type

V1Namespace

41.1.1.4. Content Type

  • application/json

41.1.1.5. Responses

Table 41.1. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1Namespace

0

An unexpected error response.

GoogleRpcStatus

41.1.1.6. Samples

41.1.2. GetNamespaces

GET /v1/namespaces

41.1.2.1. Description

41.1.2.2. Parameters

41.1.2.2.1. Query Parameters
NameDescriptionRequiredDefaultPattern

query.query

 

-

null

 

query.pagination.limit

 

-

null

 

query.pagination.offset

 

-

null

 

query.pagination.sortOption.field

 

-

null

 

query.pagination.sortOption.reversed

 

-

null

 

query.pagination.sortOption.aggregateBy.aggrFunc

 

-

UNSET

 

query.pagination.sortOption.aggregateBy.distinct

 

-

null

 

41.1.2.3. Return Type

V1GetNamespacesResponse

41.1.2.4. Content Type

  • application/json

41.1.2.5. Responses

Table 41.2. HTTP Response Codes
CodeMessageDatatype

200

A successful response.

V1GetNamespacesResponse

0

An unexpected error response.

GoogleRpcStatus

41.1.2.6. Samples

Red Hat logoGithubRedditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top